%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:        The mate desktop programs for the MATE GUI desktop environment
Name:           mate-session-manager
Version:        1.28.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/MATE
URL:            https://mate-desktop.org/
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:        startmate
Source2:        materc
Source5:        mate-lightdm.conf

BuildRequires:  intltool
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xtrans)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires:  pkgconfig(upower-glib)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(glesv2)

Requires:       mate-polkit >= %{url_ver}
Requires:       mate-settings-daemon >= %{url_ver}
Requires:       desktop-common-data

%description
MATE (yerba maté) is a user-friendly set of applications and desktop
tools to be used in conjunction with a window manager for the X Window
System.

The MATE Session Manager restores a set session (group of applications)
when you log into MATE.

%prep
%autosetup -p1

%build
#NOCONFIGURE=1 ./autogen.sh
%configure \
           --disable-static          \
           --enable-upower           \
           --with-systemd            \
           --disable-schemas-compile \
           --with-default-wm=marco   \
           --enable-ipv6
%make_build


%install
%make_install

# Use our startmate script to log in a MATE session
install -D -m 755 %{_sourcedir}/startmate %{buildroot}%{_bindir}/startmate
install -D -m 755 %{_sourcedir}/materc %{buildroot}%{_sysconfdir}/materc

sed -i -e "0,/Exec=mate-session/ s/Exec=mate-session/Exec=startmate/" %{buildroot}%{_datadir}/xsessions/mate.desktop

# Pre-select MATE session in lightdm greeter when booting mageia first time after install (mga#12248)
install -m644 %{_sourcedir}/mate-lightdm.conf -D %{buildroot}%{_sysconfdir}/lightdm/lightdm.conf.d/54-mageia-mate.conf

%find_lang %{name}

%post
if [ "$1" = "2" -a -r /etc/sysconfig/desktop ]; then
  sed -i -e "s|^DESKTOP=Mate$|DESKTOP=MATE|g" %{_sysconfdir}/sysconfig/desktop
fi

%posttrans
if [ "$1" -eq 1 ]; then
    if [ -e %{_datadir}/xsessions/10MATE.desktop ]; then
        rm -rf %{_datadir}/xsessions/10MATE.desktop
    fi
fi

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_sysconfdir}/lightdm/lightdm.conf.d/54-mageia-mate.conf
%{_sysconfdir}/materc
%{_bindir}/mate-session
%{_bindir}/startmate
%{_bindir}/mate-session-properties
%{_bindir}/mate-wm
%{_bindir}/mate-session-save
%{_bindir}/mate-session-inhibit
%{_datadir}/mate-session-manager/gsm-inhibit-dialog.ui
%{_datadir}/mate-session-manager/session-properties.ui
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/applications/mate-session-properties.desktop
%{_datadir}/glib-2.0/schemas/org.mate.session.gschema.xml
%{_datadir}/xsessions/mate.desktop
%{_mandir}/man1/*
%{_libexecdir}/mate-session-check-accelerated
%{_libexecdir}/mate-session-check-accelerated-gl-helper
%{_libexecdir}/mate-session-check-accelerated-gles-helper
%{_datadir}/%{name}/hardware-compatibility
%if 0
%{_docdir}/%{name}/dbus/mate-session.html
%endif


%changelog
* Sun Mar 24 2024 wally <wally> 1.28.0-1.mga10
+ Revision: 2051762
- new version 1.28.0

* Tue May 30 2023 kekepower <kekepower> 1.26.1-1.mga9
+ Revision: 1959802
- Update to version 1.26.1

* Thu Mar 31 2022 umeabot <umeabot> 1.26.0-2.mga9
+ Revision: 1836987
- Mageia 9 Mass Rebuild

* Sat Aug 07 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740027
- new version 1.26.0

* Fri Jun 04 2021 kekepower <kekepower> 1.24.3-1.mga9
+ Revision: 1729588
- Update to version 1.24.3

* Mon Apr 05 2021 kekepower <kekepower> 1.24.2-1.mga9
+ Revision: 1713564
- Update to version 1.24.2

* Sun Aug 16 2020 martinw <martinw> 1.24.1-1.mga8
+ Revision: 1614305
- Update to 1.24.1 (reverting to stable branch)

* Sun Aug 16 2020 martinw <martinw> 1.25.0-1.mga8
+ Revision: 1614230
- new version 1.25.0
- drop unneeded BR on libpangox
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1548112
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488840
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 10 2019 kekepower <kekepower> 1.22.2-1.mga8
+ Revision: 1465686
- Update to version 1.22.2

* Fri May 10 2019 kekepower <kekepower> 1.22.1-1.mga7
+ Revision: 1397070
- Fix file list
- Update to version 1.22.1

* Thu Mar 14 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1376186
- Update to version 1.22.0

* Sun Dec 23 2018 kekepower <kekepower> 1.20.2-1.mga7
+ Revision: 1344735
- Update to version 1.20.2

* Sat Dec 01 2018 kekepower <kekepower> 1.20.1-1.mga7
+ Revision: 1337264
- Update to version 1.20.1
- Rolled back to r1299480

* Mon Nov 26 2018 kekepower <kekepower> 1.21.0-1.mga7
+ Revision: 1335529
- Update to version 1.21.1

* Sun Sep 23 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1299480
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201361
- Updated to 1.20.0 version

* Sat Feb 03 2018 wally <wally> 1.19.1-2.mga7
+ Revision: 1198684
- rename lightdm config file and remove noreplace flag from it

* Sun Oct 29 2017 tarakbumba <tarakbumba> 1.19.1-1.mga7
+ Revision: 1174629
- Update to 1.19.1 version

* Thu Aug 24 2017 wally <wally> 1.18.1-1.mga7
+ Revision: 1147498
- new version 1.18.1

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092570
- Update to 1.18.0 version
- Updated to 1.17.1 version
- Update to 1.17.0 version

* Fri Dec 30 2016 tarakbumba <tarakbumba> 1.16.0-2.mga6
+ Revision: 1078640
- Use our startmate script to launch mate-session

* Tue Dec 13 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1074702
- new version 1.16.0
- build with gtk3

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001201
- Update to 1.14.0 version

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 942447
- Update to        1.13.0 version
- Fix build with upower 0.99 and enable upower support

* Fri Dec 04 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908154
- Update to 1.12.1 version
- Prepare specfile for possible gtk3 build

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898503
-Update to 1.12.0 version

* Sat Sep 26 2015 wally <wally> 1.10.2-2.mga6
+ Revision: 884027
- switch to upstream xsession .desktop file

* Sat Sep 05 2015 wally <wally> 1.10.2-1.mga6
+ Revision: 872989
- new version 1.10.2

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.1-1.mga6
+ Revision: 837202
- Update to 1.10.1 version

* Sun Jan 25 2015 lmenut <lmenut> 1.8.1-7.mga5
+ Revision: 812181
- add DesktopNames to MATE session config

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-6.mga5
+ Revision: 744759
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 colin <colin> 1.8.1-4.mga5
+ Revision: 672045
- Rebuild for new systemd

* Wed Jul 16 2014 tarakbumba <tarakbumba> 1.8.1-3.mga5
+ Revision: 653316
- Remove shared-mime-info from requires, provide by desktop-common-data package now

* Fri Jul 11 2014 tarakbumba <tarakbumba> 1.8.1-2.mga5
+ Revision: 651376
- Require shared-mime-info (fixes mga#13675)
- Migrate to autosetup macro in specfile
- Drop register.desktop source

* Fri Mar 21 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 606312
- Update to 1.8.1 version

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600087
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598057
- Update to 1.7.x version

* Sun Feb 09 2014 tarakbumba <tarakbumba> 1.6.1-7.mga5
+ Revision: 587813
- Remove register.desktop installation. It should be installed by another package. (mga#12695)
- Call register.desktop install to desktop in materc file.

* Sun Jan 19 2014 tarakbumba <tarakbumba> 1.6.1-6.mga4
+ Revision: 567002
- Remove useless mate-wm.desktop
- Do not compile schemes at build time

* Wed Jan 08 2014 tarakbumba <tarakbumba> 1.6.1-5.mga4
+ Revision: 565630
- Ensure that lightdm picks Mate by default. (mga#12248)

* Mon Dec 16 2013 tarakbumba <tarakbumba> 1.6.1-4.mga4
+ Revision: 557202
- Fix materc so it gets bookmarks from gtk3 bookmarks

* Sat Nov 30 2013 tarakbumba <tarakbumba> 1.6.1-3.mga4
+ Revision: 554123
- Remove deprecated upower support
- Fix systemd support for suspend/hibernate (mga#11814)
- Fix autotools warnings
- Fix systemd session id
- Add support for auto delay (fixes 10 caja windows issue on startup)

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531774
- Mageia 4 Mass Rebuild

* Sat Aug 10 2013 diogenese <diogenese> 1.6.1-1.mga4
+ Revision: 465055
- updated sources to 1.6.1

* Wed Jul 31 2013 malo <malo> 1.6.0-1.mga4
+ Revision: 461735
- remove duplicate BuildRequires
+ tarakbumba <tarakbumba>
- imported package mate-session-manager

